Bug 74997 - error transfering files using nautilus
error transfering files using nautilus
Product: Red Hat Linux
Classification: Retired
Component: gnome-vfs2-extras (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Jay Turner
: Triaged
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
Reported: 2002-10-03 11:00 EDT by Don Hardaway
Modified: 2015-01-07 19:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-10 16:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Don Hardaway 2002-10-03 11:00:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Now, for problem #2. I don't know if this is nautilus or something in smb. I
open a nautilus window and put in smb://userid@pcname/directory. I can see my
files on the windoz2000 pc just fine. I start coping files from my laptop
(rh8.0) to the windoz2000pc and everything is coping fine and at some point it
stops and generates a error (see below).  Please advise on how to trap the error
and who
should be handling it.

A window pops up with the message: Error "Invalid Parameter" while copying "bla
bla filename".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.open a nautilus window and connect to a windows2000 pc
2.open another nautilus window with the folders i want to transfer
3.drag the source folder to the windows2000 window.

Actual Results:  It starts copying files normally and then at some point halts
with the error message indicated in the description.

Expected Results:  It would complete copying files normally.

Additional info:
Comment 1 Havoc Pennington 2002-10-03 11:33:42 EDT
No initial ideas on this one.
Does it let you continue copying the other files despite the error 
on one of the files?

Can you "ls -l" the file that causes the error?
Comment 2 Don Hardaway 2002-10-03 12:37:07 EDT
Ok, Here is the scoop.

1. first attempt it halts at file number 664. I remove the file from the folder
and try again.
2. second attempt it halts at file number 664. I remove the file from the folder
and try again.
3. third try it halts at file number 663. I remove the file from the folder and
try again.
4. fourth try it halts at file number 663.

I analyze the files where it halts and find that the first two halts halted with
files that were 2.4MB and 3.1MB. During the third and fourth tries the file
sizes were 8.4MB and 6.4MB. Considering the files size difference implies that
the reason it halted at 664 is due to 2.4 and 3.1 being less than the halt on
file number 663 where the files were 8.4 and 6.4. Since all other files that
preceded these are consistently copied in the same order it appears as a
cumulative function whereby as soon as a cumulative number MBs gets transfered
it halts.  Let me know what's next. I hope I stated this clearly.
Comment 3 Havoc Pennington 2002-10-03 15:07:22 EDT
Interesting observation, I guess that could be it.

I wonder if it's specific to copying from smb, or happens anytime you reach a
particular copy size.
Comment 4 Don Hardaway 2002-10-03 15:11:50 EDT
I don't know but if you tell me how we are going to test it I'll do it.
Comment 5 Havoc Pennington 2002-10-03 15:56:24 EDT
You could just make a big local directory and try copying it, for example.
Comment 6 Don Hardaway 2002-10-03 16:11:03 EDT
OK, I did a file copy and paste into another directory and all 1126 files copied
without a problem.
Comment 7 Alexander Larsson 2002-10-04 12:24:41 EDT
Sounds like a gnome-vfs-extras bug then.
Comment 8 Don Hardaway 2002-10-04 12:32:00 EDT
OK. What now?
Comment 9 Havoc Pennington 2002-10-04 12:37:43 EDT
Moving to gnome-vfs2-extras
Comment 10 Alexander Larsson 2003-08-05 06:47:44 EDT
Is the file that didn't copy a symlink or in any other way special?
Comment 11 Don Hardaway 2003-08-06 07:39:17 EDT
i don't know. It just stopped midstream. It is doing this with rh9 also when
coping from one hard disk with linux to a second hard disk on my laptop that is
Comment 12 Alexander Larsson 2003-08-06 08:11:32 EDT
There was a fix for something much like this recently (in 2.2.4). Copying a
symlink to a fat partition would fail, and the whole copy would silently fail.
Can you try gnome-vfs2 from
and see if that fixes it?

Note You need to log in before you can comment on or make changes to this bug.